.save-contact { margin: 40px 0; }
.save-contact .center { width: 1050px; display: grid; grid-template-columns: 1fr 480px; gap: 10px 30px; font-size: 14px; }
.save-contact h2 { text-align: left; font-size: 34px; }
.save-contact .info { grid-column: 1 / 2; grid-row: 1 / 3; }
.save-contact .source { color: #0073FF; text-decoration: underline; cursor: pointer; }
.save-contact .info .item { position: relative; margin-right: 20px; display: inline-block; }
.save-contact .info .item .ico { position: relative; width: 26px; height: 26px; top: 7px; margin-right: 5px; }
.save-contact .coupon { grid-column: 2 / 3; grid-row: 1 / 2; width: 250px; height: 250px; position: absolute; bottom: 0; left: 0; transform: rotate(-90deg); transition: transform .1s ease-out; }
.save-contact .coupon img { position: relative; width: 100%; }
.save-contact .buttons { grid-column: 2 / 3; grid-row: 2 / 3; display: flex; align-items: center; gap: 20px; margin-left: 10px; }
.save-contact .buttons .button { display: flex; position: relative; color: black; text-decoration: none; align-items: center; justify-content: center; gap: 8px; padding: 10px 14px; border-radius: 8px; font-size: 15px; cursor: pointer; transition: background-color .1s ease-out; user-select: none; }
.save-contact .buttons .button:first-child { outline: 3px solid black; }
.save-contact .buttons .button:hover { background-color: rgba(0,0,0,.1); }
.save-contact .buttons .ico { position: relative; width: 20px; height: 20px; }

@media screen and (max-width: 1100px) {
.save-contact .center { width: 100%; box-sizing: border-box; }
}

@media screen and (max-width: 900px) {
.save-contact .center { grid-template-columns: 1fr 250px; }
.save-contact .info { grid-row: 1 / 2; }
.save-contact .buttons { grid-column: 1 / 2; margin: 0; }
.save-contact .coupon { grid-row: 1 / 4; height: 100%; transform: rotate(0deg); position: relative; }
}

@media screen and (max-width: 700px) {
.save-contact .buttons { grid-column: 1 / 3; }
.save-contact .coupon { grid-row: 1 / 2; }
}


@media screen and (max-width: 570px) {
.save-contact { margin: 20px 0; }
.save-contact .center { grid-template-columns: 1fr; }
.save-contact .buttons { grid-column: 1 / 2; gap: 10px; }
.save-contact .coupon { grid-column: 1 / 2; grid-row: 3 / 4; width: 46vw; heig; height: 46vw; transform: rotate(-90deg); }
}

@media screen and (max-width: 420px) {
.save-contact .buttons { flex-wrap: wrap; justify-content: center; }
.save-contact .buttons span:first-child { width: 100%; }
}

.save-contact .button .share-icons { display: none; }
.save-contact .button.active .share-icons { position: absolute; display: flex; top: -20px; gap: 9px; padding: 5px; border-radius: 10px; background-color: black; box-shadow: 0 10px 30px -10px rgb(0 0 0 / 69%); font-size: 14px; text-align: left; font-style: normal; font-weight: normal; user-select: none; z-index: 2; }
.save-contact .share-icons::before { content:''; position: absolute; width: 16px; height: 16px; background-color: #000000; transform: translate(-50%) rotate(45deg); box-shadow: 0 0 20px 4px rgb(0 0 0 / 7%); left: 50%; bottom: -6px; border-radius: 3px; }
.save-contact .share-icons .item { position: relative; width: 18px; height: 18px; opacity: .9; background-position: center center; background-repeat: no-repeat; background-size: 18px 18px; padding: 3px; }
.save-contact .share-icons .item:hover { opacity: 1; }
.save-contact .share-icons .item.sms { background-image: url('https://highcityappliance.com/images/ico/sms.svg'); }
.save-contact .share-icons .item.whatsapp { background-image: url('https://highcityappliance.com/images/ico/ico-whatsapp.svg'); }
.save-contact .share-icons .item.telegram { background-image: url('https://highcityappliance.com/images/ico/ico-telegram.svg'); }
.save-contact .share-icons .item.copy { background-image: url('https://highcityappliance.com/images/ico/ico-copy.svg'); }